Subject: Re: bug#22086: 25.1.50; [PATCH] Integrate the musl hybrid mallo

From: Paul Eggert <[email-masked]>
Date: Tue, 9 Feb 2016 15:31:40 -0800

> I think, (g)calloc and hybrid_calloc are still needed, though?

I suppose you're right, so I installed your patch in master. Though this 
stuff is all pretty iffy. Why does Emacs redefine calloc but not 
aligned_alloc or posix_memalign, for example? Is it because we know no 
library uses these newer allocators?

Anyway, I suppose it's better to play it safe and continue to redefine 
calloc, the way Emacs has done for decades, until we have a better way 
to do dumping and restoring and memory allocation for such.